%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:                nodejs-findup-sync
Version:             0.3.0
Release:             1
Summary:             Find the first file matching a given pattern
License:             MIT
URL:                 https://github.com/js-cli/node-findup-sync
Source0:             https://github.com/js-cli/node-findup-sync/archive/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(nodeunit) npm(glob) npm(lodash)
%endif
%description
Find the first file matching a given pattern in the current directory or
the nearest ancestor directory.

%prep
%autosetup -n findup-sync-%{version}
%nodejs_fixdep glob '^6.0.3'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/findup-sync
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/findup-sync
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/findup-sync

%changelog
* Thu Aug 20 2020 Anan Fu <fuanan3@huawei.com> - 0.3.0-1
- package init
